Skip to main content
POST
/
v1
/
admin
/
catalog
/
package-search
Search live packages by destination
curl --request POST \
  --url https://{operatorDomain}/v1/admin/catalog/package-search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "destination": {
    "countryCode": "<string>",
    "region": "<string>",
    "city": "<string>",
    "destinationCodes": [
      "<string>"
    ]
  },
  "departureDateFrom": "<string>",
  "departureDateTo": "<string>",
  "nights": {
    "min": 123,
    "max": 123
  },
  "adults": 2,
  "children": 123,
  "childrenAges": [
    123
  ],
  "boards": [
    "<string>"
  ],
  "minStars": 123,
  "maxPriceMinor": 123,
  "currency": "<string>",
  "limit": 123
}
'
{
  "offers": [
    {}
  ],
  "departureAirports": [
    {
      "code": "OTP",
      "label": "Bucharest (OTP)"
    }
  ],
  "currency": "<string>",
  "sampledHotels": 123,
  "retryable": true
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Body

application/json
destination
object
required
departureDateFrom
string
required
departureDateTo
string
required
nights
object
adults
integer
default:2
children
integer
childrenAges
integer[]
boards
string[]
minStars
number
maxPriceMinor
integer
currency
string
limit
integer
Required range: x <= 200

Response

200 - application/json

Search result cards

offers
object[]
departureAirports
object[]
currency
string | null
sampledHotels
integer
retryable
boolean